Fetch communication logs for a task
curl --request GET \
--url 'https://api.vida.dev/api/v2/tasks/{taskId}/logs?token='import requests
url = "https://api.vida.dev/api/v2/tasks/{taskId}/logs?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.vida.dev/api/v2/tasks/{taskId}/logs?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"taskId": "task1",
"logs": [
{
"uuid": "conversation-uuid",
"roomId": "room-id",
"taskId": "task1",
"taskAttemptId": "attempt-id",
"hasTranscript": true,
"conversationRef": {
"roomId": "room-id",
"uuid": "conversation-uuid",
"href": "/api/v2/conversation/room-id/conversation-uuid"
}
}
],
"pagination": {
"page": 1,
"pageSize": 20,
"totalCount": 1
}
}Tasks
Fetch communication logs for a task
Return Task communication logs newest first. Full transcripts are omitted from this list; use conversationRef.href to fetch conversation details and the transcript when available.
GET
/
api
/
v2
/
tasks
/
{taskId}
/
logs
Fetch communication logs for a task
Authorizations
Vida API Token
Path Parameters
Task ID
Query Parameters
Require the Task to belong to this agent account in the organization
Optional exact task attempt ID.
One-based page number.
Page size, capped at 100.
Optional Unix timestamp; defaults to task creation.
Optional Unix timestamp; defaults to now.